Name:           qjoypad
Version:        4.3.1
Release:        %mkrel 3
Summary:        Emulate keyboard or mouse actions with a joystick
Group:          System/Kernel and hardware
License:        GPLv2
URL:            http://qjoypad.sourceforge.net
# Fork by a new maintainer
Source0:        https://github.com/panzi/qjoypad/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)

%description
QJoyPad converts input from a gamepad or joystick into key-presses or mouse
actions, letting you control any X program with your game controller.
It comes with a convenient and easy-to-use interface.

%prep
%autosetup -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files
%doc LICENSE.txt README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 4.3.1-3.mga8
+ Revision: 1659488
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 4.3.1-2.mga8
+ Revision: 1527984
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Aug 01 2019 daviddavid <daviddavid> 4.3.1-1.mga8
+ Revision: 1426804
- new version: 4.3.1

* Mon Apr 01 2019 umeabot <umeabot> 4.3.0-4.mga7
+ Revision: 1384221
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 4.3.0-3.mga7
+ Revision: 1300655
- Mageia 7 Mass Rebuild

* Sun Apr 03 2016 akien <akien> 4.3.0-2.mga6
+ Revision: 997861
- New tarball that fixes segfault (GH-11)

* Sun Apr 03 2016 akien <akien> 4.3.0-1.mga6
+ Revision: 997763
- Version 4.3.0
- Build against Qt5

* Fri Dec 18 2015 akien <akien> 4.2.1-1.mga6
+ Revision: 911715
- Version 4.2.1

* Mon Dec 07 2015 akien <akien> 4.2.0-2.mga6
+ Revision: 908739
- Add patch to fix desktop category
- Version 4.2.0 (fork by new maintainer)

* Wed Oct 21 2015 daviddavid <daviddavid> 4.1.0-10.mga6
+ Revision: 893916
- use %%qmake_qt4 to configure so debuginfo gets built

* Wed Oct 15 2014 umeabot <umeabot> 4.1.0-9.mga5
+ Revision: 750086
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1.0-8.mga5
+ Revision: 688490
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.0-7.mga4
+ Revision: 517861
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.0-6.mga3
+ Revision: 379835
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ mikala <mikala>
- Remove %%clean section & %%defattr()
- Add -lX11 to linker to fix build.

* Sun Jan 16 2011 anssi <anssi> 4.1.0-4.mga1
+ Revision: 20176
- remove old scripts
- fix license tag
- rename desktop file
- remove old category from the desktop file
- imported package qjoypad


* Wed Dec 08 2010 Funda Wang <fwang@mandriva.org> 4.1.0-3mdv2011.0
+ Revision: 615295
- BR imagemagick

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - use icons from the tarball directly

* Tue Mar 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.1.0-1mdv2010.1
+ Revision: 516838
- new upstream release 4.1.0
- build against qt4
- clean spec
- fix license
- drop patch

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 3.4.1-4mdv2010.0
+ Revision: 442558
- rebuild

* Sat Apr 11 2009 Anssi Hannula <anssi@mandriva.org> 3.4.1-3mdv2009.1
+ Revision: 366361
- rebuild

* Sat Mar 21 2009 Anssi Hannula <anssi@mandriva.org> 3.4.1-2mdv2009.1
+ Revision: 360033
- fix 100%% cpu usage (sleep longer, sleep.patch, from azriek.fr,
  fixes bug #40886)

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 3.4.1-1mdv2009.0
+ Revision: 218435
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 3.4.1-1mdv2008.1
+ Revision: 140742
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Thu Feb 08 2007 Anssi Hannula <anssi@mandriva.org> 3.4.1-1mdv2007.0
+ Revision: 118219
- buildrequires libxtst-devel
- 3.4.1
- drop patch0, applied upstream
- Import qjoypad

* Sat Jul 29 2006 Anssi Hannula <anssi@mandriva.org> 3.4-1mdv2007.0
- 3.4
- fix menu
- xdg menu
- use default pixmaps
- mkrel

* Sat Jun 19 2004 Guillaume Bedot <littletux@zarb.org> 3.3-2mdk
- Fixed groups.

* Sat Jun 19 2004 Guillaume Bedot <littletux@zarb.org> 3.3-1mdk
- First package

